import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
export declare class NgxPatternDirective implements OnChanges {
    private host;
    ngxPattern: RegExp | string;
    private regex;
    constructor(host: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    onKeyPress(e: KeyboardEvent): void;
    onPaste(e: ClipboardEvent): void;
    onDrop(e: DragEvent): void;
    private validWithChange;
    readonly inputEl: HTMLInputElement;
}
